From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pycodestyle/
Date: Tue, 11 Feb 2020 16:58:42 +0000 (UTC) [thread overview]
Message-ID: <1581440298.1a00974ce9505bf80414e8a1856ddca2c218d4e7.asturm@gentoo> (raw)
commit: 1a00974ce9505bf80414e8a1856ddca2c218d4e7
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 11 16:57:39 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 16:58:18 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a00974c
dev-python/pycodestyle: Re-add 2.3.1 to unbreak dev-python/flake8...
Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
dev-python/pycodestyle/Manifest | 1 +
dev-python/pycodestyle/pycodestyle-2.3.1.ebuild | 37 +++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/pycodestyle/Manifest b/dev-python/pycodestyle/Manifest
index b0f8d25bc76..a135ba3e635 100644
--- a/dev-python/pycodestyle/Manifest
+++ b/dev-python/pycodestyle/Manifest
@@ -1 +1,2 @@
+DIST pycodestyle-2.3.1.tar.gz 89460 BLAKE2B 0b7e23be13830954277d521262e9504ade8a4d0275a77e6365201ccffae955a8f505a1cd5e739145e1fc5551c3b956ff9a51bb57cede819f2886ee36637f7f9e SHA512 276bc21b4e6898e379be88f3582135a21314460ad20d4b6c3e12825ac1a72082b2c08bb62099e704c3222f879a1098d0b305132fac1095aaa60ca239b9763a2d
DIST pycodestyle-2.5.0.tar.gz 98802 BLAKE2B ec86642f0f37abc4da8886df6395694b54cbe4e1d0030615b2136f0bc265825df254f019483e9094feaad685e43008cefdf0e50b533df434a40de0de11aa5fa1 SHA512 84e751a7d00048393b02ca743de5d71d1641e948ee1b4daebbdf2d07e0cd8f087ca4e81f826061114b40ef41920bbcd680c9f479e7cc1a159a70188425717208
diff --git a/dev-python/pycodestyle/pycodestyle-2.3.1.ebuild b/dev-python/pycodestyle/pycodestyle-2.3.1.ebuild
new file mode 100644
index 00000000000..d96e2d151da
--- /dev/null
+++ b/dev-python/pycodestyle/pycodestyle-2.3.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_6 pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python style guide checker (fka pep8)"
+HOMEPAGE="https://pypi.org/project/pycodestyle/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --statistics pycodestyle.py || die
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py -v --testsuite=testsuite || die
+ PYTHONPATH="${S}" "${PYTHON}" pycodestyle.py --doctest -v || die
+ esetup.py test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2020-02-11 16:58 UTC|newest]
Thread overview: 74+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-11 16:58 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-24 8:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/pycodestyle/ Sam James
2024-08-05 11:48 Michał Górny
2024-07-06 6:35 Michał Górny
2024-07-06 6:26 Sam James
2024-06-16 5:21 Michał Górny
2024-06-10 8:02 Petr Vaněk
2023-11-15 17:10 Michał Górny
2023-11-15 16:34 Arthur Zamarin
2023-10-13 4:44 Michał Górny
2023-09-02 2:58 Michał Górny
2023-09-01 16:30 Arthur Zamarin
2023-07-30 18:27 Michał Górny
2022-12-31 10:55 Michał Górny
2022-12-31 10:55 Michał Górny
2022-12-31 10:41 Arthur Zamarin
2022-11-25 5:14 Michał Górny
2022-09-06 18:24 Arthur Zamarin
2022-08-04 17:55 Arthur Zamarin
2022-07-31 18:20 Arthur Zamarin
2022-06-22 18:17 Arthur Zamarin
2022-06-22 18:16 Arthur Zamarin
2022-05-23 9:38 Michał Górny
2022-05-23 9:38 Michał Górny
2022-05-16 13:01 Andrew Ammerlaan
2021-11-30 11:06 Tobias Klausmann
2021-11-26 20:38 Arthur Zamarin
2021-10-23 13:16 Sam James
2021-10-11 7:56 Michał Górny
2021-09-25 13:09 James Le Cuirot
2021-09-10 11:28 Tobias Klausmann
2021-09-10 10:28 Tobias Klausmann
2021-06-05 17:59 Michał Górny
2021-04-18 1:41 Sam James
2021-03-14 22:10 Michał Górny
2020-08-02 8:36 Michał Górny
2020-07-09 5:14 Michał Górny
2020-07-09 5:14 Michał Górny
2020-06-06 16:42 Andreas Sturmlechner
2020-05-26 20:43 Matt Turner
2020-04-15 2:49 Mike Gilbert
2020-03-28 17:21 Michał Górny
2020-02-11 16:17 Andreas Sturmlechner
2020-01-03 23:36 Sergei Trofimovich
2020-01-03 14:33 Agostino Sarubbo
2020-01-03 14:30 Agostino Sarubbo
2020-01-03 13:56 Agostino Sarubbo
2020-01-03 13:44 Agostino Sarubbo
2020-01-03 13:42 Agostino Sarubbo
2020-01-03 12:18 Agostino Sarubbo
2020-01-02 9:58 Sergei Trofimovich
2019-12-02 21:13 Aaron Bauman
2019-11-24 22:21 Andreas Sturmlechner
2018-10-14 13:29 Mikle Kolyada
2018-09-05 13:51 Louis Sautier
2018-06-11 17:50 Tobias Klausmann
2018-04-18 12:58 Mikle Kolyada
2018-04-16 18:36 Sergei Trofimovich
2018-04-07 21:07 Matt Turner
2018-04-07 20:33 Matt Turner
2018-04-07 20:33 Matt Turner
2018-03-05 21:31 Tobias Klausmann
2018-03-02 23:39 Sergei Trofimovich
2018-02-22 17:38 Michał Górny
2017-08-05 9:03 Michael Palimaka
2017-07-15 17:18 Tobias Klausmann
2017-05-21 21:37 Mart Raudsepp
2017-05-15 13:15 Lars Wendler
2017-05-11 19:34 Markus Meier
2017-05-06 17:20 Agostino Sarubbo
2017-05-06 13:26 Agostino Sarubbo
2017-01-02 17:48 Tobias Klausmann
2016-11-10 8:51 Tobias Klausmann
2016-09-06 11:49 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1581440298.1a00974ce9505bf80414e8a1856ddca2c218d4e7.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox